## 3.1 Git Protocal

### 3.1.2

一般情况下，推送只允许“快进式”推送。

所谓快进式推送，就是要推送的本地版本库的提交是建立在**远程版本库相应分支的现有提交**基础上的，即远程版本库相应分支的最新提交是本地版本库最新提交的祖先提交。

```bash
git rev-list HEAD # 查看最新提交和历史提交
git ls-remote origin # 显示远程版本库引用对应的哈希值
```


